Subject: [mobile-ip] Issue 62

From: "Charles E. Perkins" <[email-masked]>
Date: Mon, 07 Oct 2002 15:58:02 -0700

Hello Subrata,

Background: you wrote: 

> 4. The BCE of the CN is indexed by the home-address of the MN.  The spec
> as it is now allows link-local addresses. So is there a possibility that
> two MN's may end up having the same l-l address in a CN?

Yes, but definitionally a correspondent node should never
use the mobile node's link-local address.  It wouldn't work
if the mobile node were on its home network and the correspondent
node were on any other network.  Every circumstance
for which a mobile node would use its link-local address on a
visited network should be considered as related to use of the
care-of address, never the home address.

As always, a mobile node is free to use its care-of address for
any communication purpose that is not vulnerable to disconnection
and reconnection to the network.  In this way, and according
to the usual source-address selection rules, the same would apply
to how the mobile node could use its link-local address.

> Proposal: Jari Arkko writes: 

> A CN that is on the home link could in theory be able to create a BCE
> that points from a ll home address to a global coa. However, there's
> a problem in how route optimization could be employed with ll addresses.
> Assume the CN uses a link-local address, and adds a RH to a packet destined
> to the mobile node's ll address. The source address of this packet would
> have to be ll, and the destination would have to be non-ll. This appears
> to be against normal source address selection rules.

> However, I can't find anything in the draft that prohibits RO with
> ll addresses. So my proposal is that we prohibit RO for ll home or
> CN addresses. Ok for everyone?

In fact, link-local addresses are prohibited from ever being
used as home addresses because they are prohibited from use
in the Home Address destination option.

> > 5. In a hypothetical situation, a MN may visit a foreign network and
> > acquires the same CoA address and the l-l HoA.  Is it a possibility? Are
> > CoA's always global?

> As Vijay already noted, CoA's are formed from advertised prefixes, which
> are never link-local (SHOULD NOT in RFC 2461).

Right!

CoA's are never link-local addresses.  A home address is also
not a link-local address, because a link-local address can never
be the address supplied as a home address along with a Binding
Update.

I think that, given this discussion and the current prohibitions
against such link-local addresses in the draft, this issue can
be considered closed.

Regards,
Charlie P.

---

From: Jari Arkko <[email-masked]>
Date: Thu, 10 Oct 2002 14:41:41 +0300

> against such link-local addresses in the draft, this issue can

Perhaps we should still add a sentence to the terms section
for both home and care-of addresses about this. On the care-of
address case the reader has to read RFC 2461 before he can make
the conclusion above. Should section 9.2.2 be updated to say
what happens if you get a HAO with one of the illegal addresses?
(MUST drop is my vote.)

Jari

---

From: "Charles E. Perkins" <[email-masked]>
Date: Thu, 10 Oct 2002 08:13:35 -0700

Hello Jari,

> what happens if you get a HAO with one of the illegal addresses?

Let's specify that the addresses MUST be "unicast routable
addresses", and in 9.2.2, a packet with such a bad HAO
MUST be dropped.

Regards,
Charlie P.